
Semaphoreui
===========

Powerful API for Ansible


## Configuration

The following table lists the configurable parameters of the Semaphoreui chart and their default values.

| Parameter                | Description             | Default        |
| ------------------------ | ----------------------- | -------------- |
| `image.repository` |  | `"semaphoreui/semaphore"` |
| `config` |  | `{}` |
| `service.http.enabled` |  | `true` |
| `service.http.ports.http.port` |  | `80` |
| `service.http.ports.http.targetPort` |  | `3000` |
| `ingress.enabled` |  | `false` |
| `ingress.service` | what service should the ingress target | `"http"` |
| `ingress.servicePort` |  | `80` |
| `ingress.className` |  | `"nginx"` |
| `ingress.hosts` |  | `[{"host": "example.local", "paths": [{"path": "/", "pathType": "Prefix"}]}]` |
| `ingress.annotations` |  | `{}` |
| `controller.command` | Need to override server-wrapper due to stupid DB ping in container | `["/bin/sh"]` |
| `controller.args` |  | `["/var/local/bin/entrypoint.sh"]` |
| `volumes` |  | `[{"name": "config", "secret": {"secretName": "semaphoreui-config", "optional": false}}, {"name": "entrypoint", "configMap": {"name": "semaphoreui-entrypoint", "items": [{"key": "entrypoint.sh", "path": "entrypoint.sh"}]}}]` |
| `volumeMounts` |  | `[{"name": "config", "mountPath": "/var/semaphoreui-secret", "readOnly": true}, {"name": "entrypoint", "mountPath": "/var/local/bin/entrypoint.sh", "subPath": "entrypoint.sh"}]` |





